E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gtask.h File Reference
`#include "gdef.h"`
`#include "geventhandler.h"`
`#include "gexception.h"`
`#include "gidentity.h"`
`#include "gexecutablecommand.h"`
`#include <memory>`

Go to the source code of this file.

## Classes
class | GNet::Task
| A class for running an exectuable in a separate process with an asychronous completion callback. More...
class | GNet::TaskCallback
| An abstract interface for callbacks from GNet::Task. More...

## Namespaces
| GNet
| Network classes.